package it.integry.integrywmsnative.gest.picking_resi.rest;

import java.util.ArrayList;
import java.util.List;

import it.integry.integrywmsnative.core.model.DtbDocr;
import it.integry.integrywmsnative.core.model.MtbColr;
import it.integry.integrywmsnative.core.model.MtbColt;
import it.integry.integrywmsnative.core.model.dto.PickDataDTO;

public class WithdrawableDtbDocr extends DtbDocr {

    private String gestione;
    private List<MtbColr> withdrawRows = new ArrayList<>();

    private PickDataDTO tempPickData;
    private MtbColt refMtbColt;
    private boolean hidden = false;

    public WithdrawableDtbDocr() {
        super();
    }

    public List<MtbColr> getWithdrawRows() {
        return withdrawRows;
    }

    public WithdrawableDtbDocr setWithdrawRows(List<MtbColr> withdrawRows) {
        this.withdrawRows = withdrawRows;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public WithdrawableDtbDocr setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public MtbColt getRefMtbColt() {
        return refMtbColt;
    }

    public WithdrawableDtbDocr setRefMtbColt(MtbColt refMtbColt) {
        this.refMtbColt = refMtbColt;
        return this;
    }

    public PickDataDTO getTempPickData() {
        return tempPickData;
    }

    public WithdrawableDtbDocr setTempPickData(PickDataDTO tempPickData) {
        this.tempPickData = tempPickData;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public WithdrawableDtbDocr setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }
}
